Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeattributenodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeattributenodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for an

Attribute Node is the name of the Attribute.

Retrieve the Attribute named "domestic" from the last

child of the first employee and check the string returned

by the "getNodeName()" method. It should be equal to

"domestic".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 53 of file nodeattributenodename.java.

## Constructor & Destructor Documentation

nodeattributenodename::nodeattributenodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 55 of file nodeattributenodename.java.
    00056  {
    00057       super(factory);
    00058
    00059    }

## Member Function Documentation

String nodeattributenodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 75 of file nodeattributenodename.java.
    00075                                 {
    00076       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeattributenodename";
    00077    }

void nodeattributenodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 78 of file nodeattributenodename.java. References DOMTestCase::doMain().
    00078                                           {
    00079         DOMTestCase.doMain(nodeattributenodename.class,args);
    00080    }

void nodeattributenodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 61 of file nodeattributenodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00061                                                     {
    00062       Document doc;
    00063       NodeList elementList;
    00064       Element testAddr;
    00065       Attr addrAttr;
    00066       String attrName;
    00067       doc = load("staff");
    00068       elementList = doc.getElementsByTagName("address");
    00069       testAddr = (Element)elementList.item(0);
    00070       addrAttr = testAddr.getAttributeNode("domestic");
    00071       attrName = addrAttr.getNodeName();
    00072       assertEquals("nodeAttributeNodeNameAssert1","domestic",attrName);
    00073
    00074    }

The documentation for this class was generated from the following file:

- nodeattributenodename.java